Module java.desktop
Package javax.swing.plaf.basic

## Class BasicInternalFrameUI.BorderListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.event.MouseInputAdapter
    - - javax.swing.plaf.basic.BasicInternalFrameUI.BorderListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`, `MouseInputListener`, `SwingConstants`

Enclosing class:
  BasicInternalFrameUI

    protected class BasicInternalFrameUI.BorderListener
    extends MouseInputAdapter
    implements SwingConstants

Listens for border adjustments.

### Field Summary

Fields
`protected int` `RESIZE_NONE` resize none

### Fields declared in interface javax.swing.SwingConstants

`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

### Constructor Summary

Constructors
`protected` `BorderListener()`

### Method Summary

### Methods declared in class java.awt.event.MouseAdapter

`mouseDragged, mouseMoved, mouseWheelMoved`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

### Methods declared in interface java.awt.event.MouseMotionListener

`mouseDragged, mouseMoved`

### Field Detail

#### RESIZE_NONE

    protected final int RESIZE_NONE

resize none

See Also:
  Constant Field Values

### Constructor Detail

#### BorderListener

    protected BorderListener()